/*
* Copyright 2003 Mark O'Sullivan
* This file is part of Vanilla.
* Vanilla is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
* Vanilla is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
* You should have received a copy of the GNU General Public License along with Vanilla; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
* The latest source code for Vanilla is available at www.lussumo.com
* Contact Mark O'Sullivan at mark [at] lussumo [dot] com
*
* Description: Default cascading stylesheet for Vanilla sign in screens
*/


/* Global Definitions */
* {
	-moz-outline: none;
}

body {
	background: #F5F9FF;
	text-align: center;
}
body, div, input, textarea, select {
	font-family:'Trebuchet MS', Verdana, Tahoma, Arial, sans-serif;
	font-size: 12px;
	color: #062971;
}
input {
	font-family: arial;
	}
a, a:link, a:visited {
	color: #3354AA;
	text-decoration: none;
}
a:hover {
	color: #4B6DB7;
	text-decoration: none;
	background:#ffb;
}
.ErrorContainer {
	background: url(alert.gif) no-repeat top left #FFEDEF;
	border-top: 1px solid #FFC2CA;
	border-bottom: 1px solid #FFC2CA;
	padding: 10px 9px 9px 9px;
	color: #c00;
	margin: 0 6px 0 6px;
}
.ErrorTitle {
	font-weight: bold;
	color: #c00;
	font-size: 12px;
	margin-bottom: 6px;
	padding-left: 18px;
}
.Error {
	color: #c00;
	font-size: 12px;
}
.SiteContainer {
	margin-top: 100px;
	border: 1px solid #c7d3ea;
	background: #fff;
}
.SiteContainer,
.Foot {
	text-align: left;
	margin-left: auto;
	margin-right: auto;
}

/* Various page widths */

.SignIn { width: 280px; }
.PasswordRequest { width: 500px; }
.PasswordRequest .PageTitle{ width: 492px; }
.SignOut { width: 400px; }
.Apply { width: 580px; }
.PasswordReset { width: 550px; }

/* Banner */

h1 {
	text-align: center;
	background: #E5EAF6 url('waves.blue.gif') no-repeat top center;
	padding: 4px 0 4px 0;
	margin: 0px 0 6px 0;
	border-bottom: 1px solid #c7d3ea;
}
h1, h1 a {
	font-size: 20px;
	font-weight: bold;
	color: #000;
	text-decoration: none;
}
h1 strong {
	font-weight: normal;
	color: orange;
}

/* About Paragraphs */

.About {
	margin: 8px 0 0 0;
	padding: 0 4px 0 8px;
	width: 260px;
	position: absolute;
	}
.About h2 {
	font-size: 14px;
	font-weight: bold;
	margin: 0;
	padding: 0;
	color:#000;
	}
.About p {
	margin: 0;
	padding: 2px 0 6px 0;
	color:#000;
	line-height: 150%;
	}
.About p strong {
	font-weight: normal;
	text-decoration: underline;
	}

/* Forms */

fieldset {
	border: 0;
	margin: 0;
	padding: 0 6px 6px 6px;
	}
legend {
	font-size:14px;
	font-weight: bold;
	color:#000;
	}
fieldset p {
	margin: 0;
	padding: 0 2px 8px 2px;
	color: #333;
	}
#Form form {
	background: #f3f3f3;
	margin: 0;
	padding: 6px 1px 6px 6px;
	}
#Form ul,
#Form ul li {
	list-style: none;
	margin: 0;
	padding: 0;
	}
#Form ul li {
	padding-bottom:6px;
	}
#Form label {
	text-align: right;
	display: block;
	width: 35%;
	float: left;
	margin-right: 8px;
	color: #000;
	}
#Form input {
	width: 50%;
	}
#Form .Submit {
	clear: left;
	padding: 6px 0 0 88px;
	text-align: left;
	}
#Form .Button {
	width: auto;
	cursor: pointer;
	}

/* Sign-In Page */

#Form.SignInForm fieldset {
	padding: 0 6px 0 6px;
	}
#Form.SignInForm .Submit {
	padding: 6px 0 0 0;
	clear: left;
	text-align: center;
	}
#Form #RememberMe label {
	width: auto;
	padding-left: 95px;
	text-align: left;
	font-size: 12px;
	}
#Form #RememberMe input {
	width: auto;
	}
.MembershipOptionLinks {
	margin: 4px 0 0 6px !important;
	}
.MembershipOptionLinks li {
	width: 132px;
	overflow: hidden;
	white-space: nowrap;
	padding: 0;
	margin: 0;
	}
.MembershipOptionLinks a,
.MembershipOptionLinks a:link,
.MembershipOptionLinks a:visited {
	display: block;
	background: #ffd;
	color:#c96;
	text-decoration: none;
	text-align: center;
	padding: 3px 0 3px 0;
	font-size:12px;
	}
.MembershipOptionLinks a:hover {
	background:#ffc;
	color:#c90;
	text-decoration: none;
	}
.ForgotPasswordLink {
	position: absolute;
	z-index:100;
	}
.ApplyForMembershipLink {
	padding-left: 136px !important;
	}

/* Password Request Form */

.PasswordRequestForm .ErrorContainer {
	margin: 0;
	}
.PasswordRequest .About {
	width: 234px;
	}
.PasswordRequestForm {
	padding: 0 0 0 247px;
	}

/* Apply Form */
#Form.ApplyForm {
	padding: 0 0 0 282px;
	}
.ApplyForm .ErrorContainer {
	margin: 0;
	}
div.Apply #Form {
	height: 300px;
	}
html>body div.Apply #Form { /* ugly hack, but fixes display error in IE. */
	min-height: 322px;
	height: auto;
	}
#Form.ApplyForm .Submit {
	padding-left: 104px;
	}
#Form.ApplyForm label {
	width: 98px;
	}
#Form.ApplyForm input {
	width: 156px;
	}
#Form.ApplyForm .Submit input {
	width:auto !important;
	}
#TermsOfServiceCheckBox input {
	width: auto !important;
	}
#TermsOfServiceCheckBox {
	font-size: 12px;
	color: #000;
	}
#TermsOfServiceCheckBox a {
	text-decoration: underline;
	}

/* Password Reset Form */

#Form.PasswordResetForm .ErrorContainer {
	margin: 0;
	}
#Form.PasswordResetForm .Submit {
	padding-left:100px;
	}
.PasswordReset .About {
	width: 254px;
	}
.PasswordResetForm {
	padding: 0 0 0 267px;
	}

/* Form Complete */

.FormComplete {
	padding: 8px 16px 16px 16px;
	}
.FormComplete h2 {
	font-size: 14px;
	font-weight: bold;
	margin: 0;
	padding: 0 0 6px 0;
	color:#000;
	}
.FormComplete ul {
	list-style: none;
	margin: 0;
	padding: 0;
	}
.FormComplete ul li {
	margin: 0;
	padding: 0;
	color:#000;
	}
.FormComplete ul li strong {
	font-weight: normal;
	color:#e00;
	}

/* Sign-out form */

#SignOutForm div.Submit {
	text-align:center;
	margin-top:10px;
	}

/* Foot */

.Foot {
	color: #ccc;
	text-align: center;
	font-size: 10px;
	}
.Foot a {
	color: #ccc;
	}
.Foot a:hover {
	color: #aaa;
	background: none;
	}